#### Previous topic

scipy.ndimage.variance

#### Next topic

scipy.ndimage.binary_closing

# scipy.ndimage.watershed_ift

`scipy.ndimage.``watershed_ift`(input, markers, structure=None, output=None)

  Apply watershed from markers using image foresting transform algorithm.

  Parameters:

  input : array_like

  > Input.

  markers : array_like

  > Markers are points within each watershed that form the beginning of the process. Negative markers are considered background markers which are processed after the other markers.

  structure : structure element, optional

  > A structuring element defining the connectivity of the object can be provided. If None, an element is generated with a squared connectivity equal to one.

  output : ndarray, optional

  > An output array can optionally be provided. The same shape as input.

  Returns:

  watershed_ift : ndarray

  > Output. Same shape as input.

  References

  [R132] | A.X. Falcao, J. Stolfi and R. de Alencar Lotufo, “The image foresting transform: theory, algorithms, and applications”, Pattern Analysis and Machine Intelligence, vol. 26, pp. 19-29, 2004.